/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.isobus.tree;

import nl.cloudfarming.client.isobus.model.OperationTechnique;
import org.openide.nodes.AbstractNode;
import org.openide.nodes.Children;
import org.openide.util.NbBundle;

/**
 *
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@NbBundle.Messages({"isobus project taskdata node name operation technique=Operation technique ({0})"
})
public class OperationTechniqueNode extends AbstractNode {

    private static final String OPERATION_TECHNIQUE_ICON = "nl/cloudfarming/client/isobus/tree/isobus_taskdata_operation_techinque.png";
    
    public OperationTechniqueNode(OperationTechnique operationTechnique){
        super(Children.LEAF);
        setName(Bundle.isobus_project_taskdata_node_name_operation_technique(operationTechnique.getDesignator()));
        setIconBaseWithExtension(OPERATION_TECHNIQUE_ICON);
    }
}
